Loading...
Searching...
No Matches
Opm::KeywordValidation::KeywordValidator Class Reference

## Public Member Functions

| KeywordValidator (const UnsupportedKeywords &unsupported_keywords, const SupportedKeywords &partially_supported_keywords, const SupportedKeywords &fully_supported_keywords, const std::unordered_map< std::string, ValidationFunction > &special_validation)
void | validateDeck (const Deck &deck, const ParseContext &parse_context, const bool treat_critical_as_noncritical, ErrorGuard &error_guard) const
void | validateDeckKeyword (const DeckKeyword &keyword, std::vector< ValidationError > &errors) const

The documentation for this class was generated from the following files:

- opm/simulators/flow/KeywordValidation.hpp
- opm/simulators/flow/KeywordValidation.cpp